CfnConfiguredModelAlgorithmAssociation

class aws_cdk.aws_cleanroomsml.CfnConfiguredModelAlgorithmAssociation(scope, id, *, configured_model_algorithm_arn, membership_identifier, name, description=None, privacy_configuration=None, tags=None)

Bases: CfnResource

Definition of AWS::CleanRoomsML::ConfiguredModelAlgorithmAssociation Resource Type.

See:

http://docs.aws.amazon.com/AWSCloudFormation/latest/UserGuide/aws-resource-cleanroomsml-configuredmodelalgorithmassociation.html

CloudformationResource:

AWS::CleanRoomsML::ConfiguredModelAlgorithmAssociation

ExampleMetadata:

fixture=_generated

Example:

from aws_cdk import CfnTag
# The code below shows an example of how to instantiate this type.
# The values are placeholders you should change.
from aws_cdk import aws_cleanroomsml as cleanroomsml

cfn_configured_model_algorithm_association = cleanroomsml.CfnConfiguredModelAlgorithmAssociation(self, "MyCfnConfiguredModelAlgorithmAssociation",
    configured_model_algorithm_arn="configuredModelAlgorithmArn",
    membership_identifier="membershipIdentifier",
    name="name",

    # the properties below are optional
    description="description",
    privacy_configuration=cleanroomsml.CfnConfiguredModelAlgorithmAssociation.PrivacyConfigurationProperty(
        policies=cleanroomsml.CfnConfiguredModelAlgorithmAssociation.PrivacyConfigurationPoliciesProperty(
            trained_model_exports=cleanroomsml.CfnConfiguredModelAlgorithmAssociation.TrainedModelExportsConfigurationPolicyProperty(
                files_to_export=["filesToExport"],
                max_size=cleanroomsml.CfnConfiguredModelAlgorithmAssociation.TrainedModelExportsMaxSizeProperty(
                    unit="unit",
                    value=123
                )
            ),
            trained_model_inference_jobs=cleanroomsml.CfnConfiguredModelAlgorithmAssociation.TrainedModelInferenceJobsConfigurationPolicyProperty(
                container_logs=[cleanroomsml.CfnConfiguredModelAlgorithmAssociation.LogsConfigurationPolicyProperty(
                    allowed_account_ids=["allowedAccountIds"],

                    # the properties below are optional
                    filter_pattern="filterPattern",
                    log_redaction_configuration=cleanroomsml.CfnConfiguredModelAlgorithmAssociation.LogRedactionConfigurationProperty(
                        entities_to_redact=["entitiesToRedact"],

                        # the properties below are optional
                        custom_entity_config=cleanroomsml.CfnConfiguredModelAlgorithmAssociation.CustomEntityConfigProperty(
                            custom_data_identifiers=["customDataIdentifiers"]
                        )
                    ),
                    log_type="logType"
                )],
                max_output_size=cleanroomsml.CfnConfiguredModelAlgorithmAssociation.TrainedModelInferenceMaxOutputSizeProperty(
                    unit="unit",
                    value=123
                )
            ),
            trained_models=cleanroomsml.CfnConfiguredModelAlgorithmAssociation.TrainedModelsConfigurationPolicyProperty(
                container_logs=[cleanroomsml.CfnConfiguredModelAlgorithmAssociation.LogsConfigurationPolicyProperty(
                    allowed_account_ids=["allowedAccountIds"],

                    # the properties below are optional
                    filter_pattern="filterPattern",
                    log_redaction_configuration=cleanroomsml.CfnConfiguredModelAlgorithmAssociation.LogRedactionConfigurationProperty(
                        entities_to_redact=["entitiesToRedact"],

                        # the properties below are optional
                        custom_entity_config=cleanroomsml.CfnConfiguredModelAlgorithmAssociation.CustomEntityConfigProperty(
                            custom_data_identifiers=["customDataIdentifiers"]
                        )
                    ),
                    log_type="logType"
                )],
                container_metrics=cleanroomsml.CfnConfiguredModelAlgorithmAssociation.MetricsConfigurationPolicyProperty(
                    noise_level="noiseLevel"
                ),
                max_artifact_size=cleanroomsml.CfnConfiguredModelAlgorithmAssociation.TrainedModelArtifactMaxSizeProperty(
                    unit="unit",
                    value=123
                )
            )
        )
    ),
    tags=[CfnTag(
        key="key",
        value="value"
    )]
)

Create a new AWS::CleanRoomsML::ConfiguredModelAlgorithmAssociation.

Parameters:
  • scope (Construct) – Scope in which this resource is defined.

  • id (str) – Construct identifier for this resource (unique in its scope).

  • configured_model_algorithm_arn (str)

  • membership_identifier (str)

  • name (str)

  • description (Optional[str])

  • privacy_configuration (Union[IResolvable, PrivacyConfigurationProperty, Dict[str, Any], None])

  • tags (Optional[Sequence[Union[CfnTag, Dict[str, Any]]]]) – An arbitrary set of tags (key-value pairs) for this cleanrooms-ml configured model algorithm association.

Methods

add_deletion_override(path)

Syntactic sugar for addOverride(path, undefined).

Parameters:

path (str) – The path of the value to delete.

Return type:

None

add_dependency(target)

Indicates that this resource depends on another resource and cannot be provisioned unless the other resource has been successfully provisioned.

This can be used for resources across stacks (or nested stack) boundaries and the dependency will automatically be transferred to the relevant scope.

Parameters:

target (CfnResource)

Return type:

None

add_depends_on(target)

(deprecated) Indicates that this resource depends on another resource and cannot be provisioned unless the other resource has been successfully provisioned.

Parameters:

target (CfnResource)

Deprecated:

use addDependency

Stability:

deprecated

Return type:

None

add_metadata(key, value)

Add a value to the CloudFormation Resource Metadata.

Parameters:
  • key (str)

  • value (Any)

See:

Return type:

None

https://docs.aws.amazon.com/AWSCloudFormation/latest/UserGuide/metadata-section-structure.html

Note that this is a different set of metadata from CDK node metadata; this metadata ends up in the stack template under the resource, whereas CDK node metadata ends up in the Cloud Assembly.

add_override(path, value)

Adds an override to the synthesized CloudFormation resource.

To add a property override, either use addPropertyOverride or prefix path with “Properties.” (i.e. Properties.TopicName).

If the override is nested, separate each nested level using a dot (.) in the path parameter. If there is an array as part of the nesting, specify the index in the path.

To include a literal . in the property name, prefix with a \. In most programming languages you will need to write this as "\\." because the \ itself will need to be escaped.

For example:

cfn_resource.add_override("Properties.GlobalSecondaryIndexes.0.Projection.NonKeyAttributes", ["myattribute"])
cfn_resource.add_override("Properties.GlobalSecondaryIndexes.1.ProjectionType", "INCLUDE")

would add the overrides Example:

"Properties": {
  "GlobalSecondaryIndexes": [
    {
      "Projection": {
        "NonKeyAttributes": [ "myattribute" ]
        ...
      }
      ...
    },
    {
      "ProjectionType": "INCLUDE"
      ...
    },
  ]
  ...
}

The value argument to addOverride will not be processed or translated in any way. Pass raw JSON values in here with the correct capitalization for CloudFormation. If you pass CDK classes or structs, they will be rendered with lowercased key names, and CloudFormation will reject the template.

Parameters:
  • path (str) –

    • The path of the property, you can use dot notation to override values in complex types. Any intermediate keys will be created as needed.

  • value (Any) –

    • The value. Could be primitive or complex.

Return type:

None

add_property_deletion_override(property_path)

Adds an override that deletes the value of a property from the resource definition.

Parameters:

property_path (str) – The path to the property.

Return type:

None

add_property_override(property_path, value)

Adds an override to a resource property.

Syntactic sugar for addOverride("Properties.<...>", value).

Parameters:
  • property_path (str) – The path of the property.

  • value (Any) – The value.

Return type:

None

apply_removal_policy(policy=None, *, apply_to_update_replace_policy=None, default=None)

Sets the deletion policy of the resource based on the removal policy specified.

The Removal Policy controls what happens to this resource when it stops being managed by CloudFormation, either because you’ve removed it from the CDK application or because you’ve made a change that requires the resource to be replaced.

The resource can be deleted (RemovalPolicy.DESTROY), or left in your AWS account for data recovery and cleanup later (RemovalPolicy.RETAIN). In some cases, a snapshot can be taken of the resource prior to deletion (RemovalPolicy.SNAPSHOT). A list of resources that support this policy can be found in the following link:

Parameters:
  • policy (Optional[RemovalPolicy])

  • apply_to_update_replace_policy (Optional[bool]) – Apply the same deletion policy to the resource’s “UpdateReplacePolicy”. Default: true

  • default (Optional[RemovalPolicy]) – The default policy to apply in case the removal policy is not defined. Default: - Default value is resource specific. To determine the default value for a resource, please consult that specific resource’s documentation.

See:

https://docs.aws.amazon.com/AWSCloudFormation/latest/UserGuide/aws-attribute-deletionpolicy.html#aws-attribute-deletionpolicy-options

Return type:

None

get_att(attribute_name, type_hint=None)

Returns a token for an runtime attribute of this resource.

Ideally, use generated attribute accessors (e.g. resource.arn), but this can be used for future compatibility in case there is no generated attribute.

Parameters:
  • attribute_name (str) – The name of the attribute.

  • type_hint (Optional[ResolutionTypeHint])

Return type:

Reference

get_metadata(key)

Retrieve a value value from the CloudFormation Resource Metadata.

Parameters:

key (str)

See:

Return type:

Any

https://docs.aws.amazon.com/AWSCloudFormation/latest/UserGuide/metadata-section-structure.html

Note that this is a different set of metadata from CDK node metadata; this metadata ends up in the stack template under the resource, whereas CDK node metadata ends up in the Cloud Assembly.

inspect(inspector)

Examines the CloudFormation resource and discloses attributes.

Parameters:

inspector (TreeInspector) – tree inspector to collect and process attributes.

Return type:

None

obtain_dependencies()

Retrieves an array of resources this resource depends on.

This assembles dependencies on resources across stacks (including nested stacks) automatically.

Return type:

List[Union[Stack, CfnResource]]

obtain_resource_dependencies()

Get a shallow copy of dependencies between this resource and other resources in the same stack.

Return type:

List[CfnResource]

override_logical_id(new_logical_id)

Overrides the auto-generated logical ID with a specific ID.

Parameters:

new_logical_id (str) – The new logical ID to use for this stack element.

Return type:

None

remove_dependency(target)

Indicates that this resource no longer depends on another resource.

This can be used for resources across stacks (including nested stacks) and the dependency will automatically be removed from the relevant scope.

Parameters:

target (CfnResource)

Return type:

None

replace_dependency(target, new_target)

Replaces one dependency with another.

Parameters:
Return type:

None

to_string()

Returns a string representation of this construct.

Return type:

str

Returns:

a string representation of this resource

with_(*mixins)

Applies one or more mixins to this construct.

Mixins are applied in order. The list of constructs is captured at the start of the call, so constructs added by a mixin will not be visited. Use multiple with() calls if subsequent mixins should apply to added constructs.

Parameters:

mixins (IMixin)

Return type:

IConstruct

Attributes

CFN_RESOURCE_TYPE_NAME = 'AWS::CleanRoomsML::ConfiguredModelAlgorithmAssociation'
attr_collaboration_identifier

CollaborationIdentifier

Type:

cloudformationAttribute

attr_configured_model_algorithm_association_arn

ConfiguredModelAlgorithmAssociationArn

Type:

cloudformationAttribute

cdk_tag_manager

Tag Manager which manages the tags for this resource.

cfn_options

Options for this resource, such as condition, update policy etc.

cfn_resource_type

AWS resource type.

configured_model_algorithm_arn
configured_model_algorithm_association_ref

A reference to a ConfiguredModelAlgorithmAssociation resource.

creation_stack

return:

the stack trace of the point where this Resource was created from, sourced from the +metadata+ entry typed +aws:cdk:logicalId+, and with the bottom-most node +internal+ entries filtered.

description
env
logical_id

The logical ID for this CloudFormation stack element.

The logical ID of the element is calculated from the path of the resource node in the construct tree.

To override this value, use overrideLogicalId(newLogicalId).

Returns:

the logical ID as a stringified token. This value will only get resolved during synthesis.

membership_identifier
name
node

The tree node.

privacy_configuration
ref

Return a string that will be resolved to a CloudFormation { Ref } for this element.

If, by any chance, the intrinsic reference of a resource is not a string, you could coerce it to an IResolvable through Lazy.any({ produce: resource.ref }).

stack

The stack in which this element is defined.

CfnElements must be defined within a stack scope (directly or indirectly).

tags

An arbitrary set of tags (key-value pairs) for this cleanrooms-ml configured model algorithm association.

Static Methods

classmethod arn_for_configured_model_algorithm_association(resource)
Parameters:

resource (IConfiguredModelAlgorithmAssociationRef)

Return type:

str

classmethod is_cfn_configured_model_algorithm_association(x)

Checks whether the given object is a CfnConfiguredModelAlgorithmAssociation.

Parameters:

x (Any)

Return type:

bool

classmethod is_cfn_element(x)

Returns true if a construct is a stack element (i.e. part of the synthesized cloudformation template).

Uses duck-typing instead of instanceof to allow stack elements from different versions of this library to be included in the same stack.

Parameters:

x (Any)

Return type:

bool

Returns:

The construct as a stack element or undefined if it is not a stack element.

classmethod is_cfn_resource(x)

Check whether the given object is a CfnResource.

Parameters:

x (Any)

Return type:

bool

classmethod is_construct(x)

Checks if x is a construct.

Use this method instead of instanceof to properly detect Construct instances, even when the construct library is symlinked.

Explanation: in JavaScript, multiple copies of the constructs library on disk are seen as independent, completely different libraries. As a consequence, the class Construct in each copy of the constructs library is seen as a different class, and an instance of one class will not test as instanceof the other class. npm install will not create installations like this, but users may manually symlink construct libraries together or use a monorepo tool: in those cases, multiple copies of the constructs library can be accidentally installed, and instanceof will behave unpredictably. It is safest to avoid using instanceof, and using this type-testing method instead.

Parameters:

x (Any) – Any object.

Return type:

bool

Returns:

true if x is an object created from a class which extends Construct.

CustomEntityConfigProperty

class CfnConfiguredModelAlgorithmAssociation.CustomEntityConfigProperty(*, custom_data_identifiers)

Bases: object

Parameters:

custom_data_identifiers (Sequence[str])

See:

http://docs.aws.amazon.com/AWSCloudFormation/latest/UserGuide/aws-properties-cleanroomsml-configuredmodelalgorithmassociation-customentityconfig.html

ExampleMetadata:

fixture=_generated

Example:

# The code below shows an example of how to instantiate this type.
# The values are placeholders you should change.
from aws_cdk import aws_cleanroomsml as cleanroomsml

custom_entity_config_property = cleanroomsml.CfnConfiguredModelAlgorithmAssociation.CustomEntityConfigProperty(
    custom_data_identifiers=["customDataIdentifiers"]
)

Attributes

custom_data_identifiers

http://docs.aws.amazon.com/AWSCloudFormation/latest/UserGuide/aws-properties-cleanroomsml-configuredmodelalgorithmassociation-customentityconfig.html#cfn-cleanroomsml-configuredmodelalgorithmassociation-customentityconfig-customdataidentifiers

Type:

see

LogRedactionConfigurationProperty

class CfnConfiguredModelAlgorithmAssociation.LogRedactionConfigurationProperty(*, entities_to_redact, custom_entity_config=None)

Bases: object

Parameters:
See:

http://docs.aws.amazon.com/AWSCloudFormation/latest/UserGuide/aws-properties-cleanroomsml-configuredmodelalgorithmassociation-logredactionconfiguration.html

ExampleMetadata:

fixture=_generated

Example:

# The code below shows an example of how to instantiate this type.
# The values are placeholders you should change.
from aws_cdk import aws_cleanroomsml as cleanroomsml

log_redaction_configuration_property = cleanroomsml.CfnConfiguredModelAlgorithmAssociation.LogRedactionConfigurationProperty(
    entities_to_redact=["entitiesToRedact"],

    # the properties below are optional
    custom_entity_config=cleanroomsml.CfnConfiguredModelAlgorithmAssociation.CustomEntityConfigProperty(
        custom_data_identifiers=["customDataIdentifiers"]
    )
)

Attributes

custom_entity_config

http://docs.aws.amazon.com/AWSCloudFormation/latest/UserGuide/aws-properties-cleanroomsml-configuredmodelalgorithmassociation-logredactionconfiguration.html#cfn-cleanroomsml-configuredmodelalgorithmassociation-logredactionconfiguration-customentityconfig

Type:

see

entities_to_redact

http://docs.aws.amazon.com/AWSCloudFormation/latest/UserGuide/aws-properties-cleanroomsml-configuredmodelalgorithmassociation-logredactionconfiguration.html#cfn-cleanroomsml-configuredmodelalgorithmassociation-logredactionconfiguration-entitiestoredact

Type:

see

LogsConfigurationPolicyProperty

class CfnConfiguredModelAlgorithmAssociation.LogsConfigurationPolicyProperty(*, allowed_account_ids, filter_pattern=None, log_redaction_configuration=None, log_type=None)

Bases: object

Parameters:
See:

http://docs.aws.amazon.com/AWSCloudFormation/latest/UserGuide/aws-properties-cleanroomsml-configuredmodelalgorithmassociation-logsconfigurationpolicy.html

ExampleMetadata:

fixture=_generated

Example:

# The code below shows an example of how to instantiate this type.
# The values are placeholders you should change.
from aws_cdk import aws_cleanroomsml as cleanroomsml

logs_configuration_policy_property = cleanroomsml.CfnConfiguredModelAlgorithmAssociation.LogsConfigurationPolicyProperty(
    allowed_account_ids=["allowedAccountIds"],

    # the properties below are optional
    filter_pattern="filterPattern",
    log_redaction_configuration=cleanroomsml.CfnConfiguredModelAlgorithmAssociation.LogRedactionConfigurationProperty(
        entities_to_redact=["entitiesToRedact"],

        # the properties below are optional
        custom_entity_config=cleanroomsml.CfnConfiguredModelAlgorithmAssociation.CustomEntityConfigProperty(
            custom_data_identifiers=["customDataIdentifiers"]
        )
    ),
    log_type="logType"
)

Attributes

allowed_account_ids

http://docs.aws.amazon.com/AWSCloudFormation/latest/UserGuide/aws-properties-cleanroomsml-configuredmodelalgorithmassociation-logsconfigurationpolicy.html#cfn-cleanroomsml-configuredmodelalgorithmassociation-logsconfigurationpolicy-allowedaccountids

Type:

see

filter_pattern

http://docs.aws.amazon.com/AWSCloudFormation/latest/UserGuide/aws-properties-cleanroomsml-configuredmodelalgorithmassociation-logsconfigurationpolicy.html#cfn-cleanroomsml-configuredmodelalgorithmassociation-logsconfigurationpolicy-filterpattern

Type:

see

log_redaction_configuration

http://docs.aws.amazon.com/AWSCloudFormation/latest/UserGuide/aws-properties-cleanroomsml-configuredmodelalgorithmassociation-logsconfigurationpolicy.html#cfn-cleanroomsml-configuredmodelalgorithmassociation-logsconfigurationpolicy-logredactionconfiguration

Type:

see

log_type

http://docs.aws.amazon.com/AWSCloudFormation/latest/UserGuide/aws-properties-cleanroomsml-configuredmodelalgorithmassociation-logsconfigurationpolicy.html#cfn-cleanroomsml-configuredmodelalgorithmassociation-logsconfigurationpolicy-logtype

Type:

see

MetricsConfigurationPolicyProperty

class CfnConfiguredModelAlgorithmAssociation.MetricsConfigurationPolicyProperty(*, noise_level)

Bases: object

Parameters:

noise_level (str)

See:

http://docs.aws.amazon.com/AWSCloudFormation/latest/UserGuide/aws-properties-cleanroomsml-configuredmodelalgorithmassociation-metricsconfigurationpolicy.html

ExampleMetadata:

fixture=_generated

Example:

# The code below shows an example of how to instantiate this type.
# The values are placeholders you should change.
from aws_cdk import aws_cleanroomsml as cleanroomsml

metrics_configuration_policy_property = cleanroomsml.CfnConfiguredModelAlgorithmAssociation.MetricsConfigurationPolicyProperty(
    noise_level="noiseLevel"
)

Attributes

noise_level

http://docs.aws.amazon.com/AWSCloudFormation/latest/UserGuide/aws-properties-cleanroomsml-configuredmodelalgorithmassociation-metricsconfigurationpolicy.html#cfn-cleanroomsml-configuredmodelalgorithmassociation-metricsconfigurationpolicy-noiselevel

Type:

see

PrivacyConfigurationPoliciesProperty

class CfnConfiguredModelAlgorithmAssociation.PrivacyConfigurationPoliciesProperty(*, trained_model_exports=None, trained_model_inference_jobs=None, trained_models=None)

Bases: object

Parameters:
See:

http://docs.aws.amazon.com/AWSCloudFormation/latest/UserGuide/aws-properties-cleanroomsml-configuredmodelalgorithmassociation-privacyconfigurationpolicies.html

ExampleMetadata:

fixture=_generated

Example:

# The code below shows an example of how to instantiate this type.
# The values are placeholders you should change.
from aws_cdk import aws_cleanroomsml as cleanroomsml

privacy_configuration_policies_property = cleanroomsml.CfnConfiguredModelAlgorithmAssociation.PrivacyConfigurationPoliciesProperty(
    trained_model_exports=cleanroomsml.CfnConfiguredModelAlgorithmAssociation.TrainedModelExportsConfigurationPolicyProperty(
        files_to_export=["filesToExport"],
        max_size=cleanroomsml.CfnConfiguredModelAlgorithmAssociation.TrainedModelExportsMaxSizeProperty(
            unit="unit",
            value=123
        )
    ),
    trained_model_inference_jobs=cleanroomsml.CfnConfiguredModelAlgorithmAssociation.TrainedModelInferenceJobsConfigurationPolicyProperty(
        container_logs=[cleanroomsml.CfnConfiguredModelAlgorithmAssociation.LogsConfigurationPolicyProperty(
            allowed_account_ids=["allowedAccountIds"],

            # the properties below are optional
            filter_pattern="filterPattern",
            log_redaction_configuration=cleanroomsml.CfnConfiguredModelAlgorithmAssociation.LogRedactionConfigurationProperty(
                entities_to_redact=["entitiesToRedact"],

                # the properties below are optional
                custom_entity_config=cleanroomsml.CfnConfiguredModelAlgorithmAssociation.CustomEntityConfigProperty(
                    custom_data_identifiers=["customDataIdentifiers"]
                )
            ),
            log_type="logType"
        )],
        max_output_size=cleanroomsml.CfnConfiguredModelAlgorithmAssociation.TrainedModelInferenceMaxOutputSizeProperty(
            unit="unit",
            value=123
        )
    ),
    trained_models=cleanroomsml.CfnConfiguredModelAlgorithmAssociation.TrainedModelsConfigurationPolicyProperty(
        container_logs=[cleanroomsml.CfnConfiguredModelAlgorithmAssociation.LogsConfigurationPolicyProperty(
            allowed_account_ids=["allowedAccountIds"],

            # the properties below are optional
            filter_pattern="filterPattern",
            log_redaction_configuration=cleanroomsml.CfnConfiguredModelAlgorithmAssociation.LogRedactionConfigurationProperty(
                entities_to_redact=["entitiesToRedact"],

                # the properties below are optional
                custom_entity_config=cleanroomsml.CfnConfiguredModelAlgorithmAssociation.CustomEntityConfigProperty(
                    custom_data_identifiers=["customDataIdentifiers"]
                )
            ),
            log_type="logType"
        )],
        container_metrics=cleanroomsml.CfnConfiguredModelAlgorithmAssociation.MetricsConfigurationPolicyProperty(
            noise_level="noiseLevel"
        ),
        max_artifact_size=cleanroomsml.CfnConfiguredModelAlgorithmAssociation.TrainedModelArtifactMaxSizeProperty(
            unit="unit",
            value=123
        )
    )
)

Attributes

trained_model_exports

http://docs.aws.amazon.com/AWSCloudFormation/latest/UserGuide/aws-properties-cleanroomsml-configuredmodelalgorithmassociation-privacyconfigurationpolicies.html#cfn-cleanroomsml-configuredmodelalgorithmassociation-privacyconfigurationpolicies-trainedmodelexports

Type:

see

trained_model_inference_jobs

http://docs.aws.amazon.com/AWSCloudFormation/latest/UserGuide/aws-properties-cleanroomsml-configuredmodelalgorithmassociation-privacyconfigurationpolicies.html#cfn-cleanroomsml-configuredmodelalgorithmassociation-privacyconfigurationpolicies-trainedmodelinferencejobs

Type:

see

trained_models

http://docs.aws.amazon.com/AWSCloudFormation/latest/UserGuide/aws-properties-cleanroomsml-configuredmodelalgorithmassociation-privacyconfigurationpolicies.html#cfn-cleanroomsml-configuredmodelalgorithmassociation-privacyconfigurationpolicies-trainedmodels

Type:

see

PrivacyConfigurationProperty

class CfnConfiguredModelAlgorithmAssociation.PrivacyConfigurationProperty(*, policies)

Bases: object

Parameters:

policies (Union[IResolvable, PrivacyConfigurationPoliciesProperty, Dict[str, Any]])

See:

http://docs.aws.amazon.com/AWSCloudFormation/latest/UserGuide/aws-properties-cleanroomsml-configuredmodelalgorithmassociation-privacyconfiguration.html

ExampleMetadata:

fixture=_generated

Example:

# The code below shows an example of how to instantiate this type.
# The values are placeholders you should change.
from aws_cdk import aws_cleanroomsml as cleanroomsml

privacy_configuration_property = cleanroomsml.CfnConfiguredModelAlgorithmAssociation.PrivacyConfigurationProperty(
    policies=cleanroomsml.CfnConfiguredModelAlgorithmAssociation.PrivacyConfigurationPoliciesProperty(
        trained_model_exports=cleanroomsml.CfnConfiguredModelAlgorithmAssociation.TrainedModelExportsConfigurationPolicyProperty(
            files_to_export=["filesToExport"],
            max_size=cleanroomsml.CfnConfiguredModelAlgorithmAssociation.TrainedModelExportsMaxSizeProperty(
                unit="unit",
                value=123
            )
        ),
        trained_model_inference_jobs=cleanroomsml.CfnConfiguredModelAlgorithmAssociation.TrainedModelInferenceJobsConfigurationPolicyProperty(
            container_logs=[cleanroomsml.CfnConfiguredModelAlgorithmAssociation.LogsConfigurationPolicyProperty(
                allowed_account_ids=["allowedAccountIds"],

                # the properties below are optional
                filter_pattern="filterPattern",
                log_redaction_configuration=cleanroomsml.CfnConfiguredModelAlgorithmAssociation.LogRedactionConfigurationProperty(
                    entities_to_redact=["entitiesToRedact"],

                    # the properties below are optional
                    custom_entity_config=cleanroomsml.CfnConfiguredModelAlgorithmAssociation.CustomEntityConfigProperty(
                        custom_data_identifiers=["customDataIdentifiers"]
                    )
                ),
                log_type="logType"
            )],
            max_output_size=cleanroomsml.CfnConfiguredModelAlgorithmAssociation.TrainedModelInferenceMaxOutputSizeProperty(
                unit="unit",
                value=123
            )
        ),
        trained_models=cleanroomsml.CfnConfiguredModelAlgorithmAssociation.TrainedModelsConfigurationPolicyProperty(
            container_logs=[cleanroomsml.CfnConfiguredModelAlgorithmAssociation.LogsConfigurationPolicyProperty(
                allowed_account_ids=["allowedAccountIds"],

                # the properties below are optional
                filter_pattern="filterPattern",
                log_redaction_configuration=cleanroomsml.CfnConfiguredModelAlgorithmAssociation.LogRedactionConfigurationProperty(
                    entities_to_redact=["entitiesToRedact"],

                    # the properties below are optional
                    custom_entity_config=cleanroomsml.CfnConfiguredModelAlgorithmAssociation.CustomEntityConfigProperty(
                        custom_data_identifiers=["customDataIdentifiers"]
                    )
                ),
                log_type="logType"
            )],
            container_metrics=cleanroomsml.CfnConfiguredModelAlgorithmAssociation.MetricsConfigurationPolicyProperty(
                noise_level="noiseLevel"
            ),
            max_artifact_size=cleanroomsml.CfnConfiguredModelAlgorithmAssociation.TrainedModelArtifactMaxSizeProperty(
                unit="unit",
                value=123
            )
        )
    )
)

Attributes

policies

http://docs.aws.amazon.com/AWSCloudFormation/latest/UserGuide/aws-properties-cleanroomsml-configuredmodelalgorithmassociation-privacyconfiguration.html#cfn-cleanroomsml-configuredmodelalgorithmassociation-privacyconfiguration-policies

Type:

see

TrainedModelArtifactMaxSizeProperty

class CfnConfiguredModelAlgorithmAssociation.TrainedModelArtifactMaxSizeProperty(*, unit, value)

Bases: object

Parameters:
  • unit (str)

  • value (Union[int, float])

See:

http://docs.aws.amazon.com/AWSCloudFormation/latest/UserGuide/aws-properties-cleanroomsml-configuredmodelalgorithmassociation-trainedmodelartifactmaxsize.html

ExampleMetadata:

fixture=_generated

Example:

# The code below shows an example of how to instantiate this type.
# The values are placeholders you should change.
from aws_cdk import aws_cleanroomsml as cleanroomsml

trained_model_artifact_max_size_property = cleanroomsml.CfnConfiguredModelAlgorithmAssociation.TrainedModelArtifactMaxSizeProperty(
    unit="unit",
    value=123
)

Attributes

unit

http://docs.aws.amazon.com/AWSCloudFormation/latest/UserGuide/aws-properties-cleanroomsml-configuredmodelalgorithmassociation-trainedmodelartifactmaxsize.html#cfn-cleanroomsml-configuredmodelalgorithmassociation-trainedmodelartifactmaxsize-unit

Type:

see

value

http://docs.aws.amazon.com/AWSCloudFormation/latest/UserGuide/aws-properties-cleanroomsml-configuredmodelalgorithmassociation-trainedmodelartifactmaxsize.html#cfn-cleanroomsml-configuredmodelalgorithmassociation-trainedmodelartifactmaxsize-value

Type:

see

TrainedModelExportsConfigurationPolicyProperty

class CfnConfiguredModelAlgorithmAssociation.TrainedModelExportsConfigurationPolicyProperty(*, files_to_export, max_size)

Bases: object

Parameters:
See:

http://docs.aws.amazon.com/AWSCloudFormation/latest/UserGuide/aws-properties-cleanroomsml-configuredmodelalgorithmassociation-trainedmodelexportsconfigurationpolicy.html

ExampleMetadata:

fixture=_generated

Example:

# The code below shows an example of how to instantiate this type.
# The values are placeholders you should change.
from aws_cdk import aws_cleanroomsml as cleanroomsml

trained_model_exports_configuration_policy_property = cleanroomsml.CfnConfiguredModelAlgorithmAssociation.TrainedModelExportsConfigurationPolicyProperty(
    files_to_export=["filesToExport"],
    max_size=cleanroomsml.CfnConfiguredModelAlgorithmAssociation.TrainedModelExportsMaxSizeProperty(
        unit="unit",
        value=123
    )
)

Attributes

files_to_export

http://docs.aws.amazon.com/AWSCloudFormation/latest/UserGuide/aws-properties-cleanroomsml-configuredmodelalgorithmassociation-trainedmodelexportsconfigurationpolicy.html#cfn-cleanroomsml-configuredmodelalgorithmassociation-trainedmodelexportsconfigurationpolicy-filestoexport

Type:

see

max_size

http://docs.aws.amazon.com/AWSCloudFormation/latest/UserGuide/aws-properties-cleanroomsml-configuredmodelalgorithmassociation-trainedmodelexportsconfigurationpolicy.html#cfn-cleanroomsml-configuredmodelalgorithmassociation-trainedmodelexportsconfigurationpolicy-maxsize

Type:

see

TrainedModelExportsMaxSizeProperty

class CfnConfiguredModelAlgorithmAssociation.TrainedModelExportsMaxSizeProperty(*, unit, value)

Bases: object

Parameters:
  • unit (str)

  • value (Union[int, float])

See:

http://docs.aws.amazon.com/AWSCloudFormation/latest/UserGuide/aws-properties-cleanroomsml-configuredmodelalgorithmassociation-trainedmodelexportsmaxsize.html

ExampleMetadata:

fixture=_generated

Example:

# The code below shows an example of how to instantiate this type.
# The values are placeholders you should change.
from aws_cdk import aws_cleanroomsml as cleanroomsml

trained_model_exports_max_size_property = cleanroomsml.CfnConfiguredModelAlgorithmAssociation.TrainedModelExportsMaxSizeProperty(
    unit="unit",
    value=123
)

Attributes

unit

http://docs.aws.amazon.com/AWSCloudFormation/latest/UserGuide/aws-properties-cleanroomsml-configuredmodelalgorithmassociation-trainedmodelexportsmaxsize.html#cfn-cleanroomsml-configuredmodelalgorithmassociation-trainedmodelexportsmaxsize-unit

Type:

see

value

http://docs.aws.amazon.com/AWSCloudFormation/latest/UserGuide/aws-properties-cleanroomsml-configuredmodelalgorithmassociation-trainedmodelexportsmaxsize.html#cfn-cleanroomsml-configuredmodelalgorithmassociation-trainedmodelexportsmaxsize-value

Type:

see

TrainedModelInferenceJobsConfigurationPolicyProperty

class CfnConfiguredModelAlgorithmAssociation.TrainedModelInferenceJobsConfigurationPolicyProperty(*, container_logs=None, max_output_size=None)

Bases: object

Parameters:
See:

http://docs.aws.amazon.com/AWSCloudFormation/latest/UserGuide/aws-properties-cleanroomsml-configuredmodelalgorithmassociation-trainedmodelinferencejobsconfigurationpolicy.html

ExampleMetadata:

fixture=_generated

Example:

# The code below shows an example of how to instantiate this type.
# The values are placeholders you should change.
from aws_cdk import aws_cleanroomsml as cleanroomsml

trained_model_inference_jobs_configuration_policy_property = cleanroomsml.CfnConfiguredModelAlgorithmAssociation.TrainedModelInferenceJobsConfigurationPolicyProperty(
    container_logs=[cleanroomsml.CfnConfiguredModelAlgorithmAssociation.LogsConfigurationPolicyProperty(
        allowed_account_ids=["allowedAccountIds"],

        # the properties below are optional
        filter_pattern="filterPattern",
        log_redaction_configuration=cleanroomsml.CfnConfiguredModelAlgorithmAssociation.LogRedactionConfigurationProperty(
            entities_to_redact=["entitiesToRedact"],

            # the properties below are optional
            custom_entity_config=cleanroomsml.CfnConfiguredModelAlgorithmAssociation.CustomEntityConfigProperty(
                custom_data_identifiers=["customDataIdentifiers"]
            )
        ),
        log_type="logType"
    )],
    max_output_size=cleanroomsml.CfnConfiguredModelAlgorithmAssociation.TrainedModelInferenceMaxOutputSizeProperty(
        unit="unit",
        value=123
    )
)

Attributes

container_logs

http://docs.aws.amazon.com/AWSCloudFormation/latest/UserGuide/aws-properties-cleanroomsml-configuredmodelalgorithmassociation-trainedmodelinferencejobsconfigurationpolicy.html#cfn-cleanroomsml-configuredmodelalgorithmassociation-trainedmodelinferencejobsconfigurationpolicy-containerlogs

Type:

see

max_output_size

http://docs.aws.amazon.com/AWSCloudFormation/latest/UserGuide/aws-properties-cleanroomsml-configuredmodelalgorithmassociation-trainedmodelinferencejobsconfigurationpolicy.html#cfn-cleanroomsml-configuredmodelalgorithmassociation-trainedmodelinferencejobsconfigurationpolicy-maxoutputsize

Type:

see

TrainedModelInferenceMaxOutputSizeProperty

class CfnConfiguredModelAlgorithmAssociation.TrainedModelInferenceMaxOutputSizeProperty(*, unit, value)

Bases: object

Parameters:
  • unit (str)

  • value (Union[int, float])

See:

http://docs.aws.amazon.com/AWSCloudFormation/latest/UserGuide/aws-properties-cleanroomsml-configuredmodelalgorithmassociation-trainedmodelinferencemaxoutputsize.html

ExampleMetadata:

fixture=_generated

Example:

# The code below shows an example of how to instantiate this type.
# The values are placeholders you should change.
from aws_cdk import aws_cleanroomsml as cleanroomsml

trained_model_inference_max_output_size_property = cleanroomsml.CfnConfiguredModelAlgorithmAssociation.TrainedModelInferenceMaxOutputSizeProperty(
    unit="unit",
    value=123
)

Attributes

unit

http://docs.aws.amazon.com/AWSCloudFormation/latest/UserGuide/aws-properties-cleanroomsml-configuredmodelalgorithmassociation-trainedmodelinferencemaxoutputsize.html#cfn-cleanroomsml-configuredmodelalgorithmassociation-trainedmodelinferencemaxoutputsize-unit

Type:

see

value

http://docs.aws.amazon.com/AWSCloudFormation/latest/UserGuide/aws-properties-cleanroomsml-configuredmodelalgorithmassociation-trainedmodelinferencemaxoutputsize.html#cfn-cleanroomsml-configuredmodelalgorithmassociation-trainedmodelinferencemaxoutputsize-value

Type:

see

TrainedModelsConfigurationPolicyProperty

class CfnConfiguredModelAlgorithmAssociation.TrainedModelsConfigurationPolicyProperty(*, container_logs=None, container_metrics=None, max_artifact_size=None)

Bases: object

Parameters:
See:

http://docs.aws.amazon.com/AWSCloudFormation/latest/UserGuide/aws-properties-cleanroomsml-configuredmodelalgorithmassociation-trainedmodelsconfigurationpolicy.html

ExampleMetadata:

fixture=_generated

Example:

# The code below shows an example of how to instantiate this type.
# The values are placeholders you should change.
from aws_cdk import aws_cleanroomsml as cleanroomsml

trained_models_configuration_policy_property = cleanroomsml.CfnConfiguredModelAlgorithmAssociation.TrainedModelsConfigurationPolicyProperty(
    container_logs=[cleanroomsml.CfnConfiguredModelAlgorithmAssociation.LogsConfigurationPolicyProperty(
        allowed_account_ids=["allowedAccountIds"],

        # the properties below are optional
        filter_pattern="filterPattern",
        log_redaction_configuration=cleanroomsml.CfnConfiguredModelAlgorithmAssociation.LogRedactionConfigurationProperty(
            entities_to_redact=["entitiesToRedact"],

            # the properties below are optional
            custom_entity_config=cleanroomsml.CfnConfiguredModelAlgorithmAssociation.CustomEntityConfigProperty(
                custom_data_identifiers=["customDataIdentifiers"]
            )
        ),
        log_type="logType"
    )],
    container_metrics=cleanroomsml.CfnConfiguredModelAlgorithmAssociation.MetricsConfigurationPolicyProperty(
        noise_level="noiseLevel"
    ),
    max_artifact_size=cleanroomsml.CfnConfiguredModelAlgorithmAssociation.TrainedModelArtifactMaxSizeProperty(
        unit="unit",
        value=123
    )
)

Attributes

container_logs

http://docs.aws.amazon.com/AWSCloudFormation/latest/UserGuide/aws-properties-cleanroomsml-configuredmodelalgorithmassociation-trainedmodelsconfigurationpolicy.html#cfn-cleanroomsml-configuredmodelalgorithmassociation-trainedmodelsconfigurationpolicy-containerlogs

Type:

see

container_metrics

http://docs.aws.amazon.com/AWSCloudFormation/latest/UserGuide/aws-properties-cleanroomsml-configuredmodelalgorithmassociation-trainedmodelsconfigurationpolicy.html#cfn-cleanroomsml-configuredmodelalgorithmassociation-trainedmodelsconfigurationpolicy-containermetrics

Type:

see

max_artifact_size

http://docs.aws.amazon.com/AWSCloudFormation/latest/UserGuide/aws-properties-cleanroomsml-configuredmodelalgorithmassociation-trainedmodelsconfigurationpolicy.html#cfn-cleanroomsml-configuredmodelalgorithmassociation-trainedmodelsconfigurationpolicy-maxartifactsize

Type:

see